{
  "pools": [
    {
      "bonus_rolls": 0,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:prismarine_shard",
          "weight": 18,
          "functions": [
            {
              "function": "minecraft:set_custom_data",
              "tag": "{material:\"prismarine\",type:\"gem\"}"
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:copper_ingot",
          "weight": 17,
          "functions": [
            {
              "function": "minecraft:set_custom_data",
              "tag": "{material:\"copper\",type:\"ingot\"}"
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:iron_nugget",
          "weight": 10,
          "functions": [
            {
              "function": "minecraft:set_custom_data",
              "tag": "{material:\"iron\",type:\"nugget\"}"
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:iron_ingot",
          "weight": 20,
          "functions": [
            {
              "function": "minecraft:set_custom_data",
              "tag": "{material:\"iron\",type:\"ingot\"}"
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "iron_block",
          "weight": 8,
          "functions": [
            {
              "function": "minecraft:set_custom_data",
              "tag": "{material:\"iron\",type:\"block\"}"
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:gold_nugget",
          "weight": 5,
          "functions": [
            {
              "function": "minecraft:set_custom_data",
              "tag": "{material:\"gold\",type:\"nugget\"}"
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:gold_ingot",
          "weight": 8,
          "functions": [
            {
              "function": "minecraft:set_custom_data",
              "tag": "{material:\"gold\",type:\"ingot\"}"
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:gold_block",
          "weight": 4,
          "functions": [
            {
              "function": "minecraft:set_custom_data",
              "tag": "{material:\"gold\",type:\"block\"}"
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:diamond",
          "weight": 4,
          "functions": [
            {
              "function": "minecraft:set_custom_data",
              "tag": "{material:\"diamond\",type:\"gem\"}"
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:diamond_block",
          "weight": 1,
          "functions": [
            {
              "function": "minecraft:set_custom_data",
              "tag": "{material:\"diamond\",type:\"block\"}"
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:emerald",
          "weight": 3,
          "functions": [
            {
              "function": "minecraft:set_custom_data",
              "tag": "{material:\"emerald\",type:\"gem\"}"
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:emerald_block",
          "weight": 2,
          "functions": [
            {
              "function": "minecraft:set_custom_data",
              "tag": "{material:\"emerald\",type:\"block\"}"
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:netherite_scrap",
          "weight": 7,
          "functions": [
            {
              "function": "minecraft:set_custom_data",
              "tag": "{material:\"netherite\",type:\"nugget\"}"
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:netherite_ingot",
          "weight": 5,
          "functions": [
            {
              "function": "minecraft:set_custom_data",
              "tag": "{material:\"netherite\",type:\"ingot\"}"
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:netherite_block",
          "weight": 3,
          "functions": [
            {
              "function": "minecraft:set_custom_data",
              "tag": "{material:\"netherite\",type:\"block\"}"
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:amethyst_shard",
          "weight": 12,
          "functions": [
            {
              "function": "minecraft:set_custom_data",
              "tag": "{material:\"amethyst\",type:\"gem\"}"
            }
          ]
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:amethyst_block",
          "weight": 5,
          "functions": [
            {
              "function": "minecraft:set_custom_data",
              "tag": "{material:\"amethyst\",type:\"block\"}"
            }
          ]
        }
      ],
      "rolls": 1
    }
  ]
}